*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background-image: url("/SER05630.jpg");
    background-position: center center;
    background-size: cover;
    font-family: sans-serif;
}

.social_media {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
}

.social_media a {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #36b9ff;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    fill: #ffffff;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
    text-shadow: 0 3px 5px rgba(0, 0, 0, .3);
}

.social_media a:not(:last-child){
    margin-right: 50px;
}

.social_media a:hover .balloon{
    top: -75px;
    opacity: 1;
}

.social_media svg {
    height: 50px;
    filter: drop-shadow(0 5px 10px rgba(0, 0, 0, .2));
}

.social_media .balloon{
    position: absolute;
    top: -50px;
    width: 200px;
    height: 50px;
    opacity: 0;
    border-radius: 30px;
    transition: top .2s ease-in-out, opacity .2s ease-in-out;
    filter: drop-shadow(0 5px 10px rgba(0,0,0,.2));
}

.social_media .name{
    position: relative;
    border-radius: 30px;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #36b9ff;
    color: #fff;
    font-size: 20px;
    font-weight: bold;
}

.social_media .name::before{
    content: "";
    position: absolute;
    display: block;
    width: 25px;
    height: 25px;
    background-color: #36b9ff;
    transform: rotate(45deg);
    bottom: -10px;
    border-radius: 4px;
    z-index:-1;
}


.social_media a.twitter,
.social_media a.twitter .name,
.social_media a.twitter .name::before{
    background-color: #36b9ff;
}

.social_media a.tiktok,
.social_media a.tiktok .name,
.social_media a.tiktok .name::before{
    background-color: #ff004f;
}
